# Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
"""Ingestion-failed notification template

Revision ID: 4354741bf742
Revises: edf4886e1d9c
Create Date: 2021-12-06 15:10:18.670008

"""
from alembic import op

# revision identifiers, used by Alembic.
revision = "4354741bf742"
down_revision = "edf4886e1d9c"
branch_labels = None
depends_on = None


def upgrade():
    ingestion_failed_notify_sql = """
    INSERT INTO notification_templates (name, description, template) VALUES (
    'ingestion_failed_email',
    'An email template for notifying the DA list that an ingestion has failed',
    'To: {{destination_email}}
Subject: NRAO Workspaces - Ingestion failed for request #{{request_id}}


Dear DA,

A {{capability_name}} request #{{request_id}} failed to be ingested into the archive.

Best regards,
NRAO Workspaces'
)
    """
    op.execute(ingestion_failed_notify_sql)


def downgrade():
    op.execute("DELETE FROM notification_templates WHERE name = 'ingestion_failed_email'")
